/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\mobiles\BleedingHeartVine.cs
Lines of code: 28
***********************************************************/


using System;

namespace Server.Items
{
	public class BleedingHeartVine : Item
	{

		[Constructable]
		public BleedingHeartVine() : base( Utility.RandomList(6814, 6815, 6816, 6817) )
		{
			Name = "A Bleeding Heart Vine";
			Hue = 1259;
			Weight = 1.0;
		}

		public BleedingHeartVine(Serial serial) : base(serial)
		{
		}

		public override bool ForceShowProperties{ get{ return ObjectPropertyList.Enabled; } }

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0); // version
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}